# Show All Syntax Highlighting Rules

When Vim adds syntax highlighting to the contents of a buffer based on its
`filetype`, it does so with a set of rules. These rules specify particular
colors for each set of named tokens that match particular patterns. You can
check out the syntax highlighting rules for the current `filetype` of the
current buffer by running:

```
:syntax
```

See `:h :syntax` for more details.
